 /********************************************************************************
 Author : 

 Date :   November 2014

 File name :  AD5664.H

 Description :	 Define the different modes AD5664.

 Hardware plateform : 	AD5664 & ADuCM360
********************************************************************************/

 void AD5664INIT(void);	
 
 void AD5664_WriteToInputReg(unsigned long ulDACValue, unsigned long Address);
 void AD5664_UpdateDac(unsigned long Address);
 void AD5664_WriteToInputRegAndUpdateDACs(unsigned long ulDACValue, unsigned long Address);								  // updates the DAC register on completion of the write operation
 void AD5664_WriteToInputRegDAC(unsigned long ulConValue, unsigned long Address); 
 void AD5664_PowerDown (unsigned int Mode, unsigned int PDAC);
 void AD5664_Reset (unsigned int Mode);
 void AD5664_LDACRegSetUp (unsigned int LDACMode);
 void AD5664_InternalRefSetUp (unsigned int REF_Mode);
 
//FOR DB18:DB16 (DAC ADD)
 #define DACA 						0X000000 
 #define DACB							0X010000 
 #define DACC							0X020000 
 #define DACD					 		0X030000 
 #define DACall				 		0X070000 
 
 //FOR POWER DOWN
 #define NORMAL 					0X00 
 #define K1Ohm						0X10 
 #define K100Ohm					0X20 
 #define ThreeState		 		0X30
 
 #define PDACA 						0X01 
 #define PDACB						0X02 
 #define PDACC						0X04 
 #define PDACD				 		0X08
 
 //FOR Reset
 #define Partial 					0X00 
 #define Total						0X01 
 
 //For LDAC
 #define LDACA_F						0X01 
 #define LDACB_F						0X02 
 #define LDACC_F						0X04 
 #define LDACD_F				 		0X08
 
 #define LDACA_N						0X00 
 #define LDACB_N						0X00 
 #define LDACC_N						0X00 
 #define LDACD_N				 		0X00
 
 //For REFERENCE
 #define INTREF_ON					0X01 
 #define INTREF_OFF					0X00
