/********************************************************************************
 Author : 

 Date :   November 2014

 File name :  ADUCM360DriverFile.C

 Description :	 Define the initiation needed for ADuCM360

 Hardware plateform : 	AD5664 & ADuCM360
********************************************************************************/

#include <ADuCM360.h>
#include "..\common\DioLib.h"
#include "..\common\SpiLib.h"
#include "..\common\UrtLib.h"
#include "ADUCM360Driver.h"
#include "AD5664.h"

void SPI0INIT (void)
{
	DioCfgPin(pADI_GP1,PIN4,2);                           // Configure P1.4 as MISO
	DioCfgPin(pADI_GP1,PIN5,2);                           // Configure P1.5 as SCLK   
	DioCfgPin(pADI_GP1,PIN6,2);                           // Configure P1.6 as MOSI
	DioCfgPin(pADI_GP1,PIN7,2);                           // Configure P1.7 as \CS

	SpiBaud(pADI_SPI0,0x0f,SPIDIV_BCRST_DIS); 						// Confiure SPI1 baud rate for 480kHz 0x0f
	SpiCfg(pADI_SPI0,SPICON_MOD_TX3RX3,SPICON_MASEN_EN,SPICON_CON_EN|
	    SPICON_RXOF_EN|SPICON_ZEN_EN|SPICON_TIM_TXWR|SPICON_CPHA_SAMPLELEADING|
			SPICON_ENABLE_EN|SPICON_CPOL_HIGH);
			//|SPICON_CPOL_LOW SPICON_CPHA_SAMPLELEADING SPICON_CPHA_SAMPLETRAILING
	
	DioSet (pADI_GP1, 0x08);
}

void UARTINIT (void)
{
   	//Select IO pins for UART.
		pADI_GP0->GPCON |= 0x3C;					           		// Configure P0.1/P0.2 for UART		
	  //pADI_GP0->GPCON |= 0x9000; 					          // Configure P0.6/P0.7 for UART
    UrtCfg(pADI_UART,B9600,COMLCR_WLS_8BITS,0);  	  // setup baud rate for 9600, 8-bits
    UrtMod(pADI_UART,COMMCR_DTR,0);  			       		// Setup modem bits
    UrtIntCfg(pADI_UART,COMIEN_ERBFI|COMIEN_ETBEI|COMIEN_ELSI|COMIEN_EDSSI|COMIEN_EDMAT|COMIEN_EDMAR);  // Setup UART IRQ sources
}
